Subject: Re: linux-next: build failure after merge of the nand tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 7 Jan 2025 12:46:40 +1100

Hi all,

On Mon, 6 Jan 2025 18:53:01 +0530 Md Sadre Alam <[email-masked]> wrote:
>
> On 1/6/2025 7:21 AM, Stephen Rothwell wrote:
> > 
> > On Mon, 6 Jan 2025 12:48:34 +1100 Stephen Rothwell <[email-masked]> wrote:  
> >>
> >> After merging the nand tree, today's linux-next build
> >> (x86_64_allmodconfig) failed like this:
> >>
> >> In file included from include/linux/string.h:389,
> >>                   from include/linux/bitmap.h:13,
> >>                   from include/linux/cpumask.h:12,
> >>                   from include/linux/smp.h:13,
> >>                   from include/linux/lockdep.h:14,
> >>                   from include/linux/mutex.h:17,
> >>                   from include/linux/notifier.h:14,
> >>                   from include/linux/clk.h:14,
> >>                   from drivers/mtd/nand/qpic_common.c:6:
> >> In function 'fortify_memset_chk',
> >>      inlined from 'qcom_clear_bam_transaction' at drivers/mtd/nand/qpic_common.c:88:2:
> >> include/linux/fortify-string.h:480:25: error: call to '__write_overflow_field' declared with attribute warning: detected write beyond size of field (1st parameter); maybe use struct_group()? [-Werror=attribute-warning]
> >>    480 |                         __write_overflow_field(p_size_field, size);
> >>        |                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >> cc1: all warnings being treated as errors
> >>
> >> Caused by commit
> >>
> >>    fdf3ee5c6e52 ("mtd: nand: Add qpic_common API file")  
> > 
> > Actually caused by commit
> > 
> >    8c52932da5e6 ("mtd: rawnand: qcom: cleanup qcom_nandc driver")  
> I have posted the fix. Please check the patch at [1]
> [1] https://lore.kernel.org/lkml/[email-masked]/T/#u

I have applied that patch today instead of reverting the tree.  I will
remove this patch when I see it (or some other fix) applied to the nand
tree.

When applying it, you could add

Tested-by: Stephen Rothwell <[email-masked]> # build testing

-- 
Cheers,
Stephen Rothwell